﻿Imports Newtonsoft.Json

Public Class MusicBrainzAlbumData
    Public Class Area
        Public Property id As String
        Public Property name As String
        Public Property type As Object
        <JsonProperty("sort-name")>
        Public Property sortname As String
        Public Property disambiguation As String
        <JsonProperty("iso-3166-1-codes")>
        Public Property iso31661codes As List(Of String)
        <JsonProperty("type-id")>
        Public Property typeid As Object
    End Class

    Public Class CoverArtArchive
        Public Property front As Boolean
        Public Property count As Integer
        Public Property artwork As Boolean
        Public Property darkened As Boolean
        Public Property back As Boolean
    End Class

    Public Class Disc
        Public Property id As String
        Public Property offsets As List(Of Integer)
        Public Property sectors As Integer
        <JsonProperty("offset-count")>
        Public Property offsetcount As Integer
    End Class

    Public Class Medium
        Public Property discs As List(Of Disc)
        Public Property format As String
        <JsonProperty("format-id")>
        Public Property formatid As String
        Public Property position As Integer
        <JsonProperty("track-count")>
        Public Property trackcount As Integer
        Public Property title As String
    End Class

    Public Class Release
        <JsonProperty("packaging-id")>
        Public Property packagingid As String
        <JsonProperty("text-representation")>
        Public Property textrepresentation As TextRepresentation
        Public Property id As String
        Public Property [date] As String
        Public Property disambiguation As String
        Public Property quality As String
        Public Property title As String
        Public Property barcode As String
        Public Property media As List(Of Medium)
        Public Property status As String
        Public Property asin As String
        <JsonProperty("status-id")>
        Public Property statusid As String
        Public Property packaging As String
        <JsonProperty("release-events")>
        Public Property releaseevents As List(Of ReleaseEvent)
        Public Property country As String
        <JsonProperty("cover-art-archive")>
        Public Property coverartarchive As CoverArtArchive
    End Class

    Public Class ReleaseEvent
        Public Property [date] As String
        Public Property area As Area
    End Class

    Public Class Root
        Public Property sectors As Integer
        Public Property offsets As List(Of Integer)
        <JsonProperty("offset-count")>
        Public Property offsetcount As Integer
        Public Property releases As List(Of Release)
        Public Property id As String
    End Class

    Public Class TextRepresentation
        Public Property script As String
        Public Property language As String
    End Class

End Class
